complexType "CashSettlementReferenceBanks"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | referenceBank+
</...>

Content Model Elements (1):

  referenceBank

All Direct / Indirect Based Elements (3):

  cashSettlementReferenceBanks (defined in CashPriceMethod complexType),
  cashSettlementReferenceBanks (in crossCurrencyMethod),
  cashSettlementReferenceBanks (in settlementRateSource)

Known Usage Locations

- As direct type of elements (3):
  cashSettlementReferenceBanks (defined in CashPriceMethod complexType),
  cashSettlementReferenceBanks (in crossCurrencyMethod),
  cashSettlementReferenceBanks (in settlementRateSource)

Annotation
A type defining the list of reference institutions polled for relevant rates or prices when determining the cash settlement amount for a product where cash settlement is applicable.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CashSettlementReferenceBanks"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="referenceBank" type="ReferenceBank"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
referenceBank

  Type: | ReferenceBank, complex content

  An institution (party) identified by means of a coding scheme and an optional name.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="referenceBank" type="ReferenceBank"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.